man(8)

NAME
tmpl - Command line interface to Go's text/template library

SYNOPSIS
tmpl [options]

DESCRIPTION
This program is a command line interface to Go's text/template library. It can be used by passing in a set of JSON-encoded data and a list of template paths ending in a .tmpl extension. The templates are processed and their results are saved to the filename with the .tmpl extension removed.

Once your data set gets larger, it may be useful to move it to its own file instead of specifying it on the command line. To use a data file instead of raw JSON on the command line, use the -data argument but prefix your path with an @ symbol.

OPTIONS
-data <string> JSON data.

-help
    Display usage information and exit.

AUTHOR
Alexandre Viau (aviau@debian.org)